Skip to main content

Cache Memory

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTqdrant.qdrant-cache-memory

Store short-term memory with a TTL in a cache collection.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-cache-memory-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-cache-memory",
"arguments": {
"information": "information_example",
"collection_name": "",
"metadata": "",
"ttl_days": "",
"dedupe_action": ""
}
}
}

Arguments Schema

{
"properties": {
"information": {
"type": "string"
},
"collection_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"metadata": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"ttl_days": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"dedupe_action": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"information"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-cache-memory-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-cache-memory",
"arguments": {
"information": "information_example",
"collection_name": "",
"metadata": "",
"ttl_days": "",
"dedupe_action": ""
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool qdrant.qdrant-cache-memory executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}